#define MM_NAME "MultiMail"
#define HAS_BOOL
#define HAS_OFFT

/* ----- Platform-specific defines ----- */

/* This could be improved on. Currently, it's only written to deal with
   GCC, DJGPP, EMX, RSX/NT, BCC 5.5, and Turbo C++ 3.0.
*/

/* HAS_UNAME determines whether the "System" part of the tearline is taken
   from the uname() function, or is hardwired. Turbo and Borland C++ don't
   have it, and it's broken in RSX/NT.
*/
#if !defined (__WIN32__) && !defined (__TURBOC__)
# define HAS_UNAME
#endif

/* MS-DOS and DOS-like systems. Unfortunately, EMX doesn't define an
   "__OS2__" symbol, so I just check for "__EMX__". (RSX/NT also defines
   it, so if you wanted to distinguish them, you'd also have to check for
   the presence or absence of "__WIN32__".)
*/
#if defined (__MSDOS__) || defined (__WIN32__) || defined (__EMX__)
# define DOSCHARS
# define DOSNAMES
# define USE_SHELL
#endif

/* I use strcasecmp() and strncasecmp() throughout, but some systems call
   these functions stricmp() and strincmp(). I haven't yet dealt with the
   case where neither is defined. TEMP_RELATIVE is for tmpnam() implemen-
   tations that return a relative path rather than an absolute one.
*/
#if defined (__EMX__) || defined (__TURBOC__)
# define USE_STRICMP
# define TEMP_RELATIVE
#endif

/* unistd.h is the POSIX header file. Borland/Turbo C doesn't have it.
   The sleep() function is also defined there.
*/
#ifndef __TURBOC__
# define HAS_UNISTD
# define HAS_SLEEP
#endif

/* For the 16-bit MS-DOS version compiled with Turbo C++ 3.0, I've added
   the SPAWNO library by Ralf Brown to get more memory when shelling.
   Also, this version lacks the "bool" and "off_t" types. (Check should be
   more restrictive.)
*/
#if defined (__TURBOC__) && defined (__MSDOS__)
# define USE_SPAWNO
# define LIMIT_MEM
# define MAXBLOCK 0x0FFE0L
# define USE_SETDISK
# undef HAS_BOOL
# undef HAS_OFFT
#endif

/* With the RSXNT port, the keyboard check after printing each line makes
   output very slow, unless line break optimization is disabled. (The way
   it's written here, it's also disabled in Borland C++ 5.5.)
*/
#if defined (__PDCURSES__) && defined (__WIN32__)
# define NOTYPEAHEAD
#endif

/* Borland C++ 5.5 barfs on time_t = 0, which appears as the timestamp of
   the top-level directory.
*/
#if defined (__TURBOC__) && defined (__WIN32__)
# define TIMEKLUDGE
#endif

/* Some lines in the code serve no purpose but to supress the GCC warnings
   "might be used uninitialized in this function", and "unused parameter".
   Borland C++ 5.5, on the other hand, complains "is assigned a value that
   is never used" if I leave these lines _in_.
*/
#ifndef __TURBOC__
# define BOGUS_WARNING
#endif

#if !(defined(__TURBOC__) && defined(__WIN32__))
# define UNUSED_PARAMS
#endif

/* ----- End of platform-specific defines ----- */

#ifndef HAS_BOOL
typedef unsigned char bool;
# define true 1
# define false 0
#endif

#ifndef HAS_OFFT
typedef long off_t;
#endif
