/*
 * MultiMail offline mail reader
 * protos for mysystem.cc

 Copyright (c) 2000 William McBrine <wmcbrine@clark.net> 

 Distributed under the GNU General Public License.
 For details, see the file COPYING in the parent directory. */

#ifndef MYSYSTEM_H
#define MYSYSTEM_H

extern "C" {
#include <time.h>
#include <sys/types.h>
}

char *myfgets(char *, size_t, FILE *);
int mysystem(const char *);
void mytmpnam(char *);
void edit(const char *);
int mychdir(const char *);
int mymkdir(const char *);
void myrmdir(const char *);
void mygetcwd(char *);
bool readable(const char *);
bool writeable(const char *);
const char *sysname();
bool myopendir(const char *);
const char *myreaddir();
void clearDirectory(const char *);

#ifdef LIMIT_MEM
long limitmem(long);
#else
# define limitmem(x) x
#endif

#ifdef DOSNAMES
const char *canonize(const char *);
#else
# define canonize(x) x
#endif

#ifdef USE_SHELL
class Shell
{
	char *prompt;
 public:
	Shell();
	~Shell();
	void out();
};
#endif

class mystat
{
 public:
	off_t size;
	time_t date;
	bool isdir;

	bool init(const char *);
};

#ifdef USE_STRICMP
# define strcasecmp stricmp
# define strncasecmp strnicmp
#endif

#endif
